@import 'variables';

#matPaginator {
    display: inline-block;
    font-family: comforta;
}

.centerItems {
    text-align: center;
}

.mb2 {
    margin-bottom: 2%;
}

.mb10 {
    margin-bottom: 10%;
}

.pr5 {
    padding-right: 5%;
}

.dynamicComponents {
    float: right;
    width: 40%;
}

.noItems {
    padding: 15px;
    font-family: comforta;
}

.favouriteButton {
    cursor: pointer;
    margin-left: 5%;
    float: left;
    color: $primary-color;
    background: $secondary-color;
    outline: none;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    overflow: hidden;
    border: dashed 1px $white;
    transition: .4s;
}

.favouriteButton:hover {
    background: $primary-color;
    color: $secondary-color;
    box-shadow: 0px 0px 0px 5px $primary-color;
}

.items {
    .box {
        padding: 15px;
        margin: 10px 30px;
        float: left;
        border: solid 1px $primary-color;
        border-radius: 15px;
        font-family: comforta;
        font-size: 15px;
        min-width: -webkit-fill-available;
        width: 95%;

        .normalItems {
            float: left;
            width: 70%;
            p {
                margin-bottom: 25px;
            }
        }
        .photoAndHeart {
            width: 30%;
            float: left;

            .itemImage {
                text-align: right;
                float: right;
    
                img {
                    width: 100%;
                    max-width: 150px;
                    height: 150px;
                    // Esto se encargará de recortar la imagen para evitar que se deforme.
                    object-fit: cover;
                }
            }
    
            .heart {
                float: right;
                clear: right;
                margin-right: 10%;

                cursor: pointer;
                .basic {
                    color: #ccc;
                }   
                .pinky {
                    color: $activeHeart;
                
                }         
            }
        }
    }
}